Information on source package dhcpcd

Available versions

ReleaseVersion
trixie1:10.0.8-2
sid1:10.0.8-2

Resolved issues

BugDescription
CVE-2016-1504dhcpcd before 6.10.0 allows remote attackers to cause a denial of serv ...
CVE-2016-1503dhcpcd before 6.10.0, as used in Android 4.x before 4.4.4, 5.0.x befor ...
CVE-2014-6060The get_option function in dhcpcd 4.0.0 through 6.x before 6.4.3 allow ...
CVE-2012-6700The decode_search function in dhcp.c in dhcpcd 3.x does not properly f ...
CVE-2012-6699The decode_search function in dhcp.c in dhcpcd 3.x allows remote DHCP ...
CVE-2012-6698The decode_search function in dhcp.c in dhcpcd 3.x allows remote DHCP ...
CVE-2012-2152Stack-based buffer overflow in the get_packet method in socket.c in dh ...
CVE-2011-0996dhcpcd before 5.2.12 allows remote attackers to execute arbitrary comm ...
CVE-2005-1848The dhcpcd DHCP client before 1.3.22 allows remote attackers to cause ...
CVE-2002-1403dhcpcd DHCP client daemon 1.3.22 and earlier allows local users to exe ...

Security announcements

DSA / DLADescription
DSA-3534-1dhcpcd - security update
DLA-362-1dhcpcd - security update
DSA-2498-1dhcpcd - remote stack overflow
DSA-750-1dhcpcd - out-of-bound memory access

Search for package or bug name: Reporting problems